Subject: Re: bug#54691: fortune-mod propagates various non-nice things

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Thu, 04 Aug 2022 15:37:40 +0000

>To me use of ‘deprecated-package’ in this case is just to ensure that
>users who run ‘guix upgrade’ will transparently get
>‘fortune-jkirchartz’.  I don’t have a strong opinion though.

I believe what Liliana meant is that it's worse to 'transparently' upgrade to a data package that doesn't provide the 'fortune' command at all (or conversely, an implementation of the command that doesn't propagate the actual fortune data), than it is to signal to users through an error message that something's up and they need to stop and think.

(Er, that's a lot more words to put in someone's mouth than I intended to, sorry :-)

I'd suggest a news item but I really don't think this warrants it.

Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.